<div class="section">
    <div class="container">
        <h2>
            <div class="section-title col-md-12">
                <h3 class="title"><span>Conferences</span> <span style="color: #dd0a37;">Management</span></h3>
            </div>
<!--            <span id="conferences-page-heading"></span>-->
            <button *hasAnyRole="'SUPERADMIN'" class="btn btn-primary float-right" [routerLink]="['./new']">
                <fa-icon [icon]="'plus'"></fa-icon>
                <span> Create a new Conference</span>
            </button>
        </h2>
        <!--<alert></alert>-->
        <div class="table-responsive" *ngIf="conferences">
            <table class="table table-striped">
                <tbody *ngIf="conferences.length">
                <tr *ngFor="let conference of conferences; trackBy: trackIdentity">
                    <td>{{conference.dateFrom | date:'MMM' }} {{conference.dateFrom | date:'d' }}th
                        - {{conference.dateTo | date:'d' }}th {{conference.dateTo | date:'yyyy' }}</td>
                    <td><a [routerLink]="['./', conference.id, 'view']">{{conference.title}}</a></td>
                    <td class="text-right">
                        <div *hasAnyRole="'SUPERADMIN'" class="btn-group flex-btn-group-container">
                            <button type="submit"
                                    [routerLink]="['./', conference.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon [icon]="'eye'"></fa-icon>
                                <span class="d-none d-md-inline"> View</span>
                            </button>
                            <button type="submit"
                                    [routerLink]="['./', conference.id, 'edit']"
                                    queryParamsHandling="merge"
                                    class="btn btn-primary btn-sm">
                                <fa-icon [icon]="'pencil-alt'"></fa-icon>
                                <span class="d-none d-md-inline"> Edit</span>
                            </button>
                            <button type="button" (click)="deleteConference(conference)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon [icon]="'times'"></fa-icon>
                                <span class="d-none d-md-inline"> Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
